<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadZuWeitereKurse;

class DownloadZuWeitereKurseFormularView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursdetails/detailsreiter/downloadzuweiterekurse.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->dokument->toolId = $this->viewModel->toolId;
    
    
    return array($this->viewModel->dokument);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKursdokumente();
  }

  protected function getBodyDataModulArray()
  {
    
    return $this->viewModel->kurse;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpKurse();
  }
}

class DownloadZuWeitereKurseFormularViewModel
{
  public $toolId;
  public $kurse;
  public $dokument;
}